%global sum Python 2 and 3 compatibility utilities
%global desc \
Six provides simple utilities for wrapping over differences between \
Python 2 and Python 3.

Name:           python3-six
Version:        1.10.0
Release:        2%{?dist}
Summary:        %{sum}

License:        MIT
URL:            http://pypi.python.org/pypi/six/
Source0:        http://pypi.python.org/packages/source/s/six/six-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel
# For use by selftests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-tkinter
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
# For use by selftests:
BuildRequires:  python%{python3_other_pkgversion}-pytest
BuildRequires:  python%{python3_other_pkgversion}-tkinter
%endif

%description %{desc}

%package -n python%{python3_pkgversion}-six
Summary:        %{sum}

%description -n python%{python3_pkgversion}-six %{desc}

This is the Python %{python3_pkgversion} build of the module.

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-six
Summary:        %{sum}

%description -n python%{python3_other_pkgversion}-six %{desc}

This is the Python %{python3_other_pkgversion} build of the module.
%endif


%prep
%setup -q -n six-%{version}


%build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif


%install
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif


%check
py.test-%{python3_version} -rfsxX test_six.py
%if 0%{?with_python3_other}
py.test-%{python3_other_version} -rfsxX test_six.py
%endif


%files -n python%{python3_pkgversion}-six
%license LICENSE
%doc CHANGES README documentation/index.rst
%{python3_sitelib}/*

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-six
%license LICENSE
%doc CHANGES README documentation/index.rst
%{python3_other_sitelib}/*
%endif


%changelog
* Fri Oct 06 2017 Aurelien Bompard <abompard@fedoraproject.org> - 1.10.1-2
- Build for python3_other

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 1.10.0-1
- Initial EPEL7 package
